Bug 1654009 - [abrt] gnome-shell: snprintf(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: snprintf(): gnome-shell killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:7d627892ca8c6659438aae863f6...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-27 20:12 UTC by Alan Jenkins
Modified: 2019-05-28 23:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 23:22:20 UTC


Attachments (Terms of Use)
File: backtrace (79.78 KB, text/plain)
2018-11-27 20:13 UTC, Alan Jenkins
no flags Details
File: cgroup (195 bytes, text/plain)
2018-11-27 20:13 UTC, Alan Jenkins
no flags Details
File: core_backtrace (35.34 KB, text/plain)
2018-11-27 20:13 UTC, Alan Jenkins
no flags Details
File: cpuinfo (1.33 KB, text/plain)
2018-11-27 20:13 UTC, Alan Jenkins
no flags Details
File: dso_list (25.64 KB, text/plain)
2018-11-27 20:13 UTC, Alan Jenkins
no flags Details
File: environ (4.45 KB, text/plain)
2018-11-27 20:13 UTC, Alan Jenkins
no flags Details
File: exploitable (82 bytes, text/plain)
2018-11-27 20:13 UTC, Alan Jenkins
no flags Details
File: limits (1.29 KB, text/plain)
2018-11-27 20:13 UTC, Alan Jenkins
no flags Details
File: maps (124.00 KB, text/plain)
2018-11-27 20:13 UTC, Alan Jenkins
no flags Details
File: mountinfo (4.42 KB, text/plain)
2018-11-27 20:13 UTC, Alan Jenkins
no flags Details
File: open_fds (9.12 KB, text/plain)
2018-11-27 20:13 UTC, Alan Jenkins
no flags Details
File: proc_pid_status (1.31 KB, text/plain)
2018-11-27 20:13 UTC, Alan Jenkins
no flags Details
File: var_log_messages (7.58 KB, text/plain)
2018-11-27 20:13 UTC, Alan Jenkins
no flags Details

Description Alan Jenkins 2018-11-27 20:12:56 UTC
Description of problem:
This segfault happened when I killed the XWayland process.

It is expected that gnome-shell dies when XWayland is killed.  However, we wanted gnome-shell to exit
without dumping core.  It was not intended that gnome-shell would segfault :-(.

When XWayland crashes, we wanted to exactly one crash report.  Not one useful crash report and one useless one,
where the user has to guess which was the original actual crash and which was the knock-on effect of the original crash.

See https://bugzilla.redhat.com/show_bug.cgi?id=1556831

I'm hoping to have a Fedora 29 VM soon...ish.  Then I'll be able reproduce this (or not) on a more recent version.


Version-Release number of selected component:
gnome-shell-3.28.3-1.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: snprintf
executable:     /usr/bin/gnome-shell
journald_cursor: s=664366a1be8b49a9829bfe3abbbfc623;i=8b267f;b=ba25cb9f2cf34727999f62956386abaf;m=10faa29983;t=57baac9c7e7cf;x=c95e03240b0252be
kernel:         4.19.2-200.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1002

Truncated backtrace:
Thread no. 1 (7 frames)
 #2 snprintf at /usr/include/bits/stdio2.h:64
 #3 XauFileName at AuFileName.c:83
 #4 XauGetBestAuthByAddr at AuGetBest.c:74
 #5 get_authptr at xcb_auth.c:163
 #6 _xcb_get_auth_info at xcb_auth.c:337
 #7 xcb_connect_to_display_with_auth_info at xcb_util.c:530
 #8 0x00007f24a15abfda in

Potential duplicate: bug 1384232

Comment 1 Alan Jenkins 2018-11-27 20:13:03 UTC
Created attachment 1509182 [details]
File: backtrace

Comment 2 Alan Jenkins 2018-11-27 20:13:04 UTC
Created attachment 1509183 [details]
File: cgroup

Comment 3 Alan Jenkins 2018-11-27 20:13:06 UTC
Created attachment 1509184 [details]
File: core_backtrace

Comment 4 Alan Jenkins 2018-11-27 20:13:07 UTC
Created attachment 1509185 [details]
File: cpuinfo

Comment 5 Alan Jenkins 2018-11-27 20:13:09 UTC
Created attachment 1509186 [details]
File: dso_list

Comment 6 Alan Jenkins 2018-11-27 20:13:10 UTC
Created attachment 1509187 [details]
File: environ

Comment 7 Alan Jenkins 2018-11-27 20:13:12 UTC
Created attachment 1509188 [details]
File: exploitable

Comment 8 Alan Jenkins 2018-11-27 20:13:13 UTC
Created attachment 1509189 [details]
File: limits

Comment 9 Alan Jenkins 2018-11-27 20:13:17 UTC
Created attachment 1509190 [details]
File: maps

Comment 10 Alan Jenkins 2018-11-27 20:13:18 UTC
Created attachment 1509191 [details]
File: mountinfo

Comment 11 Alan Jenkins 2018-11-27 20:13:20 UTC
Created attachment 1509192 [details]
File: open_fds

Comment 12 Alan Jenkins 2018-11-27 20:13:21 UTC
Created attachment 1509193 [details]
File: proc_pid_status

Comment 13 Alan Jenkins 2018-11-27 20:13:22 UTC
Created attachment 1509194 [details]
File: var_log_messages

Comment 14 Ben Cotton 2019-05-02 20:14:31 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2019-05-28 23:22:20 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.